/* Title */
.title{
    padding-bottom: 10px;
}

.title h2{
    color: #333333;
    font-size: 22px;
    font-family: Montserrat, sans-serif;
    margin: 20px 0 10px;
    text-align: center;
}

.title span{
    font-size: 24.2px;
    font-family: 'Libre Baskerville', serif;
    font-style: italic;
    font-weight: 600;
}

/* Carousel */
.carousel-nav{
    max-width: 980px;
    margin: auto;
    margin-top: 0%;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;

    position: relative;
    overflow: hidden;
    object-fit: none;
}

.carousel-content{
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    width: calc(100% - 80px);
    height: 100px;
    left: 40px;

    position: relative;
}

/* Notes: 140% dari: 100% width container dibagi untuk 5, sedangkan ada 2 hidden buat animasi */
/* Karena show 5, maka 1 elemen panjangnya 20% */
.inner{
    width: 140%; 
    display: flex;
    object-fit: none;
    left: calc(-140% / 7);

    position: absolute;
}

.transition-to-left{
    transition: all 0.25s ease;
    left: -40%;
}

.transition-to-right{
    transition: all 0.25s ease;
    left: 0%;
}

/* 80px dari button left and right */
.carousel-image{
    opacity: 0.5;
    width: calc((100% - 80px) / 5); 
    text-align: center;
    display: none;
    cursor: pointer;
}

.clone{
    opacity: 0.5;
}

.selected{
    opacity: 1;
    filter: grayscale(0%);
}

.carousel-nav button{
    height: 100%;
    background-color: transparent;
    border-width: 0;
    margin: auto;
    
    font-size: 20px;
    
    position: absolute;
}

#nextBtn{
    right: 0;
}

#prevBtn{
    left: 0;
}

/* Content */
.project-content{
    background-color: #fafafa;
    padding: 60px 0;
    
    display: flex;
    justify-content: center;
}

.tab-pane{
    display: none;
}

.project-title{
    text-transform: uppercase;
    font-size: 24px;
    max-width: 980px;
    margin: auto;
    margin-top: 0;
    margin-bottom: 40px;
    
    font-family: Montserrat, sans-serif;
    font-weight: 400;
    display: flex;
    flex-direction: column;
    color: #333333;
}

.project-title span{
    text-transform: none;
    font-size: 14px;
    font-weight: normal;
}

.project-image{
    text-align: center;
}

/* Bottom */
.project-bottom{
    padding: 40px 0 60px;
    font-family: Montserrat, sans-serif;
    color: #333333;
}

.project-bottom h2{
    font-size: 25px;
    margin: 20px 0;
    text-transform: uppercase;
    font-weight: 600;
}

.project-bottom p{
    font-size: 18px;
    margin-bottom: 40px;
}

.project-bottom a{
    color: #414042;
    padding: 10px 75px;
    font-size: 18px;
    font-weight: 600;
    text-decoration: none;
    text-transform: uppercase;
    display: inline-block;

    border: 2px solid #414042;
    background-color: transparent;

    transition: all 0.25s ease;
}

.project-bottom a:hover{
    background-color: #414042;
    color: white;
}

/* Harus ada di bagian bawah css*/
.show, .center{
    display: block;
}

/* Responsive */
/* between 768 and 992 */
@media (max-width: 992px) and (min-width: 769px){
    .carousel-nav{
        max-width: 780px;
    }

    /* Content */
    .project-content{
        padding: 30px 0;
    }

    .tab-pane{
        max-width: 780px;
    }
    
    .project-title{
        max-width: 780px;
    }
    
    .project-image{
        text-align: center;
    }
    
    /* Bottom */
    .project-bottom{
        padding: 20px 0 30px;
    }
    
    .project-bottom h2{
        font-size: 28px;
        margin: 20px 0;
    }
    
    .project-bottom p{
        font-size: 20px;
        margin-bottom: 20px;
    }
    
    .project-bottom a{
        font-size: 20px;
    }
}

/* Below 768 px */
@media (max-width: 768px){
    /* Set Width untuk 1 gambar saja + left-right */
    .carousel-nav{
        max-width: 320px;
    }

    /* Karena 1 gambar widthnya sudah 100% dari parent container */
    .inner{
        width: 700%;
        left: calc(-100% * 3);
    }
    
    .transition-to-left{
        left: -400%;
    }
    
    .transition-to-right{
        left: -200%;
    }

    .carousel-image{
        width: calc((100% - 80px)); 
    }


    /* Content */
    .project-content{
        padding: 20px 0;
    }
    
    .tab-pane{
        max-width: 320px;
    }

    .project-title{
        font-size: 18px;
        margin-bottom: 20px;
    }

    .project-title span{
        font-size: 12px;
    }

    .project-image{
        text-align: center;
    }

    /* Bottom */
    .project-bottom{
        padding: 40px 0 60px;
        font-family: Montserrat, sans-serif;
        color: #333333;
    }

    .project-bottom h2{
        font-size: 24px;
    }

    .project-bottom p{
        font-size: 18px;
        margin-bottom: 20px;
    }

    .project-bottom a{
        color: #414042;
        padding: 10px 40px;
    }
}